import { StrategyConfig, Strategy } from '../types';
export type HandleStrategyError = (error: any) => void;
export type HandleTestStrategySymbolIndex = (index: number) => Promise<void>;
declare let accountBudget: number;
declare let accountBudgetMultiplier: number;
declare let accountBudgetPercentPerTrade: number;
declare let isFractional: boolean | undefined;
declare let maxLoops: number;
declare let maxLossPercent: number | undefined;
declare let handleStrategyError: HandleStrategyError | undefined;
declare let outputDirectory: string;
declare let reportDate: string;
declare let reportTime: string;
declare let shouldReturnAssetPaths: boolean;
declare let strategy: Strategy;
declare let strategyConfig: StrategyConfig;
declare let strategyConfigKey: string;
declare let strategyConfigVariationKey: string | undefined;
declare let strategyKey: string;
declare let strategyVersion: string;
declare let timeframe: string;
type ResultRecord = number | string | undefined;
export interface ResultTable {
    headerRow: string[];
    dataRows: ResultRecord[][];
}
interface CustomComparisonResult {
    name: string;
    result: ResultTable;
}
export interface StrategemizerRunResult {
    assets?: string;
    config: StrategyConfig;
    customComparisons: CustomComparisonResult[];
    hours: ResultTable;
    profit: number;
    reportDate: string;
    reportTime: string;
    result: ResultTable;
    strategyConfig: string;
    strategyConfigVariation?: string;
    strategy: string;
    strategyVersion: string;
    summary: ResultTable;
}
declare const testStrategy: ({ accountBudget: accountBudgetParam, accountBudgetMultiplier: accountBudgetMultiplierParam, accountBudgetPercentPerTrade: accountBudgetPercentPerTradeParam, alpacaBaseUrl, alpacaBaseUrlData, alpacaApiKeyId, alpacaSecretKey, end, handleStrategyError: handleStrategyErrorParam, handleSymbolIndex, isFractional: isFractionalParam, isRandomlySorted, maxLoops: maxLoopsParam, maxLossPercent: maxLossPercentParam, outputDirectory: outputDirectoryParam, reportDate: reportDateParam, reportTime: reportTimeParam, shouldDelayForLogs, shouldReturnAssetPaths: shouldReturnAssetPathsParam, start, strategy: strategyParam, strategyConfig: strategyConfigParam, strategyConfigKey: strategyConfigKeyParam, strategyConfigVariationKey: strategyConfigVariationKeyParam, strategyKey: strategyKeyParam, strategyVersion: strategyVersionParam, symbols, timeframe: timeframeParam, }: {
    accountBudget: number;
    accountBudgetMultiplier: number;
    accountBudgetPercentPerTrade: number;
    alpacaBaseUrl: string;
    alpacaBaseUrlData: string;
    alpacaApiKeyId: string;
    alpacaSecretKey: string;
    end: string;
    handleStrategyError?: HandleStrategyError | undefined;
    handleSymbolIndex?: HandleTestStrategySymbolIndex | undefined;
    isFractional?: boolean | undefined;
    isRandomlySorted?: boolean | undefined;
    maxLoops?: number | undefined;
    maxLossPercent?: number | undefined;
    outputDirectory: string;
    reportDate: string;
    reportTime: string;
    shouldReturnAssetPaths?: boolean | undefined;
    shouldDelayForLogs?: boolean | undefined;
    start: string;
    strategy: Strategy;
    strategyConfig: StrategyConfig;
    strategyConfigKey: string;
    strategyConfigVariationKey: string | undefined;
    strategyKey: string;
    strategyVersion: string;
    symbols: string[];
    timeframe?: string | undefined;
}) => Promise<StrategemizerRunResult | null>;
export default testStrategy;
